org.wildfly.swarm.config.undertow

## Class BufferCache<T extends BufferCache<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.BufferCache<T>

-     public class BufferCache<T extends BufferCache<T>>
      extends Object

  The buffer cache used to cache static content

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferCache(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `bufferSize()` The size of an individual buffer, in bytes.
    `T` | `bufferSize(Integer value)` The size of an individual buffer, in bytes.
    `Integer` | `buffersPerRegion()` The numbers of buffers in a region
    `T` | `buffersPerRegion(Integer value)` The numbers of buffers in a region
    `String` | `getKey()`
    `Integer` | `maxRegions()` The maximum number of regions
    `T` | `maxRegions(Integer value)` The maximum number of regions
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferCache

          public BufferCache(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### bufferSize

          public Integer bufferSize()

      The size of an individual buffer, in bytes.

    - #### bufferSize

          public T bufferSize(Integer value)

      The size of an individual buffer, in bytes.

    - #### buffersPerRegion

          public Integer buffersPerRegion()

      The numbers of buffers in a region

    - #### buffersPerRegion

          public T buffersPerRegion(Integer value)

      The numbers of buffers in a region

    - #### maxRegions

          public Integer maxRegions()

      The maximum number of regions

    - #### maxRegions

          public T maxRegions(Integer value)

      The maximum number of regions

Copyright © 2017 JBoss by Red Hat. All rights reserved.